<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Game Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classGame.html">Game</a>, including all inherited members.</p>
<table class="directory">
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>actionChangeWagon</b>(int wagonIndex) (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>actionFire</b>(int playerIndex) (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>actionFloorChange</b>() (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>actionPending</b>() const (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>actionPunch</b>(int treasureIndex, int wagonIndex, int playerIndex) (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>actionRobbery</b>(int treasureIndex, int wagonIndex) (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>actionSheriffMove</b>(Wagon *w) (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>allPlayersDrawCards</b>(int n) (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>checkNextActionCard</b>() (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>currentAction</b>() const (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>dialogueBox</b>() const (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>findPlayerById</b>(BanditType) (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>findPlayersTreasureIndex</b>(Treasure *, unsigned) (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>fromVariant</b>(const QVariant &amp;variant) (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Game</b>() (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>Game</b>(std::vector&lt; Player * &gt; &amp;players) (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Game</b>(const Game &amp;) (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>generateNeutralBullets</b>(unsigned numberOfNeutralBullets) const (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>getCardsPlayed</b>() (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>getIndexOfPlayerToMove</b>() const (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>indexOfMiniround</b>() const (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>indexOfRound</b>() const (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>initialize</b>() (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>mostBulletsShot</b>() const (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>neutralBulletDeck</b>() const (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>phase</b>() const (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>playerClicked</b>() const (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>players</b>() (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>possiblePlayersToPunch</b>(int playerIndex) (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>possiblePlayersToShot</b>(int playerIndex) (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>possibleTreasure</b>(int playerIndex) (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>richestPlayer</b>() const (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>rounds</b>() (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>seed</b>() const (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>selectBanditPositions</b>() (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>selectOneTrainStationCard</b>(std::vector&lt; RoundCard * &gt; &amp;allRoundCards) (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>selectRoundCards</b>(RoundCardType cardType, std::vector&lt; RoundCard * &gt; &amp;allRoundCards) const (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>selectWagons</b>(std::vector&lt; Wagon * &gt; allPossibleWagons, unsigned numberOfPlayers) const (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>setActionPending</b>(bool newActionPending) (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>setCardsPlayed</b>(Deck *newCardsPlayed) (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>setCurrentAction</b>(ActionType newCurrentAction) (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>setDialogueBox</b>(DialogueBox *newDialogueBox) (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>setIndexOfMiniround</b>(int newIndexOfMiniround) (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>setIndexOfPlayerToMove</b>(int) (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>setIndexOfRound</b>(int newIndexOfRound) (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>setMostBulletsShot</b>(BanditType newMostBulletsShot) (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>setNeutralBulletDeck</b>(const std::vector&lt; NeutralBullet * &gt; &amp;newNeutralBulletDeck) (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>setNextPlayerToMove</b>() (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>setPhase</b>(Phase newPhase) (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>setPlayerClicked</b>(int newPlayerClicked) (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>setRichestPlayer</b>(BanditType newRichestPlayer) (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>setRounds</b>(std::vector&lt; RoundCard * &gt; &amp;newRounds) (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>setSeed</b>(const unsigned &amp;newSeed) (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>setSeriffPosition</b>(unsigned newSheriffPosition) (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>setWagons</b>(Train *newWagons) (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>sheriffPosition</b>() const (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>showEndGameStats</b>() (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>shuffleDecks</b>() const (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>toVariant</b>() const (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>unusedTreasure</b>() const (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>updateRounds</b>() (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>wagons</b>() (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>~Game</b>() (defined in <a class="el" href="classGame.html">Game</a>)</td><td class="entry"><a class="el" href="classGame.html">Game</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
